std::__detail::_Hash_node_value_base< _Value >(3)

NAME
std::__detail::_Hash_node_value_base< _Value >

SYNOPSIS

Inherits std::__detail::_Hash_node_base.

Inherited by std::__detail::_Hash_node< _Value, false >, and std::__detail::_Hash_node< _Value, true >.

  Public Types
typedef _Value value_type

  Public Member Functions
const _Value & _M_v () const noexcept
_Value & _M_v () noexcept
const _Value * _M_valptr () const noexcept
_Value * _M_valptr () noexcept

  Public Attributes
_Hash_node_base * _M_nxt
__gnu_cxx::__aligned_buffer< _Value > _M_storage

Detailed Description

  template<typename _Value>
struct std::__detail::_Hash_node_value_base< _Value >" struct _Hash_node_value_base

Node type with the value to store.

Definition at line 229 of file hashtable_policy.h.

Author

Generated automatically by Doxygen for libstdc++ from the source code.